classification
Title: Solaris: ctypes tests being skipped despite following #1516
Type: compile error Stage:
Components: Build Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: theller Nosy List: atossava, jafo, loewis, skrah, terry.reedy, theller
Priority: normal Keywords:

Created on 2008-03-18 19:11 by jafo, last changed 2012-06-02 22:39 by skrah. This issue is now closed.

Messages (10)
msg63965 - (view) Author: Sean Reifschneider (jafo) * (Python committer) Date: 2008-03-18 19:11
This is a break-out of the multi-issue #2048.

Original poster Atro Tossavainen (atossava) reports:Building and testing
on Solaris 8 on SPARC with Sun compilers:
cc: Sun C 5.8 2005/10/13
CC: Sun C++ 5.8 2005/10/13

281 tests OK.
40 tests skipped:
    test_aepack test_al test_applesingle test_bsddb test_bsddb185
    test_bsddb3 test_cd test_cl test_codecmaps_cn test_codecmaps_hk
    test_codecmaps_jp test_codecmaps_kr test_codecmaps_tw test_ctypes
    test_curses test_gdbm test_gl test_imgfile test_linuxaudiodev
    test_macfs test_macostools test_nis test_normalization
    test_ossaudiodev test_pep277 test_plistlib test_scriptpackages
    test_socket_ssl test_socketserver test_sqlite test_startfile
    test_sunaudiodev test_tcl test_timeout test_unicode_file
    test_urllib2net test_urllibnet test_winreg test_winsound
    test_zipfile64
4 skips unexpected on sunos5:
    test_tcl test_sunaudiodev test_ctypes test_nis

...
test_tcl skipped -- No module named _tkinter
...

I have applied the _ctypes patch in #1516, however.  What gives?
msg63966 - (view) Author: Sean Reifschneider (jafo) * (Python committer) Date: 2008-03-18 19:12
Martin v. Löwis (loewis) replies:

What is the specific problem that you are reporting?
I.e. what behavior did you expect instead?
msg63968 - (view) Author: Sean Reifschneider (jafo) * (Python committer) Date: 2008-03-18 19:16
This is me:

Martin: I believe the report is that the user followed #1516 but ctypes
was not built, or at least the test was skipped.

Assigning to theller, because that's whom #1516 is assigned to.
msg107423 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-06-09 21:44
Does this apply to any current version?
msg107446 - (view) Author: Atro Tossavainen (atossava) Date: 2010-06-10 05:27
> Does this apply to any current version?

Funny you should ask, I've just started building Python 2.6.5 yesterday.
I should know in a bit.
msg112908 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-04 22:07
To late to change 2.6 (except for critical bugs). You should test 2.7 instead.
msg112933 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-08-05 00:32
Well, with release-2.7 test_ctypes segfaults om OpenSolaris:


make: *** [test] Segmentation Fault (core dumped)
./python -Wd -3 -E -tt ./Lib/test/regrtest.py -l 
== CPython 2.7.0+ (release27-maint:82854, Jul 13 2010, 19:49:12) [C]
==   Solaris-2.11-i86pc-i386-32bit-ELF little-endian
==   /export/home/stefan/svn/release27-maint/build/test_python_768


Perhaps this should be a new issue though.
msg112935 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-05 00:48
I doubt it matters much. ctypes and Solaris do not get along well together.
msg112938 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-08-05 01:00
As I understand, this report was about test_ctypes being skipped. This
is not the case anymore, so I agree that setting the issue to pending
is fine. I can open another issue for the segfault.
msg162185 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-06-02 22:39
This seems really out of date now. Closing.
History
Date User Action Args
2012-06-02 22:39:07skrahsetstatus: pending -> closed

messages: + msg162185
2010-08-05 01:00:31skrahsetstatus: open -> pending

messages: + msg112938
2010-08-05 00:48:57terry.reedysetmessages: + msg112935
2010-08-05 00:32:15skrahsetstatus: pending -> open
nosy: + skrah
messages: + msg112933

2010-08-04 22:07:33terry.reedysetstatus: open -> pending

messages: + msg112908
versions: + Python 2.7, - Python 2.5
2010-06-10 05:27:35atossavasetstatus: pending -> open

messages: + msg107446
2010-06-09 21:44:21terry.reedysetstatus: open -> pending

nosy: + terry.reedy
messages: + msg107423

resolution: out of date
2008-03-18 19:16:52jafosetassignee: loewis -> theller
messages: + msg63968
nosy: + theller
2008-03-18 19:12:19jafosetmessages: + msg63966
2008-03-18 19:11:31jafocreate